//----------------------------------------------------------------------
//MODEULE: rt_task.c
//COMMON DESCRIPTION:
//  This module contain procedures for calling real-time tasks
// this tasks may be interrupted by hl-level procedures
//----------------------------------------------------------------------
#include "rt_task.h"
//----------------------------------------------------------------------
// Called every 0.1 sec
void _100ms()
  {// Task, called every 100ms
   #ifdef OSL_TASK_100MS_0
   OSL_TASK_100MS_0();
   #endif
   #ifdef OSL_TASK_100MS_1
   OSL_TASK_100MS_1();
   #endif
   #ifdef OSL_TASK_100MS_2
   OSL_TASK_100MS_2();
   #endif
   #ifdef OSL_TASK_100MS_3
   OSL_TASK_100MS_3();
   #endif   
   #ifdef UPL_TASK_100MS_0
   UPL_TASK_100MS_0();
   #endif
   #ifdef UPL_TASK_100MS_1
   UPL_TASK_100MS_1();
   #endif
   #ifdef UPL_TASK_100MS_2
   UPL_TASK_100MS_2();
   #endif
   #ifdef UPL_TASK_100MS_3
   UPL_TASK_100MS_3();
   #endif
  }
settask (_100ms)
//----------------------------------------------------------------------
// Called every 1 sec
void _1s()
  {// Task, called every 100ms
   #ifdef OSL_TASK_1S_0
   OSL_TASK_1S_0();
   #endif
   #ifdef OSL_TASK_1S_1
   OSL_TASK_1S_1();
   #endif
   #ifdef OSL_TASK_1S_2
   OSL_TASK_1S_2();
   #endif
   #ifdef OSL_TASK_1S_3
   OSL_TASK_1S_3();
   #endif
   #ifdef UPL_TASK_1S_0
   UPL_TASK_1S_0();
   #endif
   #ifdef UPL_TASK_1S_1
   UPL_TASK_1S_1();
   #endif
   #ifdef UPL_TASK_1S_2
   UPL_TASK_1S_2();
   #endif
   #ifdef UPL_TASK_1S_3
   UPL_TASK_1S_3();
   #endif
  }
settask (_1s)
//----------------------------------------------------------------------
// Called every 1 min
void _1m()
  {// Task, called every 100ms
   #ifdef OSL_TASK_1M_0
   OSL_TASK_1M_0();
   #endif
   #ifdef OSL_TASK_1M_1
   OSL_TASK_1M_1();
   #endif
   #ifdef OSL_TASK_1M_2
   OSL_TASK_1M_2();
   #endif
   #ifdef OSL_TASK_1M_3
   OSL_TASK_1M_3();
   #endif
   #ifdef UPL_TASK_1M_0
   UPL_TASK_1M_0();
   #endif
   #ifdef UPL_TASK_1M_1
   UPL_TASK_1M_1();
   #endif
   #ifdef UPL_TASK_1M_2
   UPL_TASK_1M_2();
   #endif
   #ifdef UPL_TASK_1M_3
   UPL_TASK_1M_3();
   #endif
  }
settask (_1m)
//----------------------------------------------------------------------
// Called every 1 hour
void _1h()
  {// Task, called every 100ms
   #ifdef OSL_TASK_1H_0
   OSL_TASK_1H_0();
   #endif
   #ifdef OSL_TASK_1H_1
   OSL_TASK_1H_1();
   #endif
   #ifdef OSL_TASK_1H_2
   OSL_TASK_1H_2();
   #endif
   #ifdef OSL_TASK_1H_3
   OSL_TASK_1H_3();
   #endif
   #ifdef UPL_TASK_1H_0
   UPL_TASK_1H_0();
   #endif
   #ifdef UPL_TASK_1H_1
   UPL_TASK_1H_1();
   #endif
   #ifdef UPL_TASK_1H_2
   UPL_TASK_1H_2();
   #endif
   #ifdef UPL_TASK_1H_3
   UPL_TASK_1H_3();
   #endif
  }
settask (_1h)
//----------------------------------------------------------------------
